package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.service.CompanyService;
import com.engine.organization.service.impl.CompanyServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/16
 * @version: 1.0
 */
public class CompanyWrapper extends Service {
    private CompanyService getCompanyService(User user) {
        return ServiceUtil.getService(CompanyServiceImpl.class, user);
    }


    /**
     * 获取新增表单
     *
     * @param params
     * @return
     */
    public Map<String, Object> getCompanyFormField(Map<String, Object> params) {
        return getCompanyService(user).getCompanyFormField(params);
    }

    /**
     * 获取列表页面按钮信息
     *
     * @return
     */
    public Map<String, Object> getHasRight() {
        return getCompanyService(user).getHasRight();
    }

    /**
     * 获取列表tabs
     *
     * @return
     */
    public Map<String, Object> getTabInfo() {
        return getCompanyService(user).getTabInfo();
    }
}
